/* ====================================================================
 * Copyright (c) 2007,      Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

// sc
#include "config.h"
#include "RpViewWhatsThis.h"


static QString buildWhatsThis()
{
  QString ws = 
    "<qt>";
  ws += "<b>" + _q("repository copy view columns") + "</b>";
  ws += 
     "<hr>"
     "<table cellspacing=0>"
      "<tr>";
  ws += "<td><nobr>" + _q("name") + "</nobr></td>";
  ws += "<td>" + _q("the name of an item - the header shows its name and the repository url") + "<br></td>"
      "</tr>"
      "<tr>";
  ws += "<td><nobr>" + _q("last committed revision") + "</nobr></td>";
  ws += "<td>" + _q("an items last committed revision") + "<br></td>" +
      "</tr>"
      "<tr>";
  ws += "<td><nobr>" + _q("size") + "</nobr></td>";
  ws += "<td>" + _q("the size of an item") +
        "<table cellspacing=1 width=100%>";
  ws += "<tr><td>"+ _q("folder")   +"</td><td>"+ _q("if the item is a folder") +"</td></tr>";
  ws += "<tr><td>"+ _q("&lt;number&gt;") +"</td><td>"+ _q("size in bytes")           +"</td></tr>";
  ws += "<tr><td>"+ _q("&lt;number&gt;K")+"</td><td>"+ _q("size in kilobytes")       +"</td></tr>";
  ws += "<tr><td>"+ _q("&lt;number&gt;M")+"</td><td>"+ _q("size in megabytes")       +"</td></tr>";
  ws += "</table>"
       "</td>"
      "</tr>"
      "<tr>";
  ws += "<td><nobr>" + _q("properties") + "</nobr></td>";
  ws += "<td>" + _q("whether an item has properties") + "<br></td>" +
      "</tr>"
      "<tr>";
  ws += "<td><nobr>" + _q("last committed author") + "</nobr></td>";
  ws += "<td>" + _q("an items last committed revision author") + "<br></td>" +
      "</tr>"
      "<tr>";
  ws += "<td><nobr>" + _q("last committed date") + "</nobr></td>";
  ws += "<td>" + _q("an items last committed date") + "<br></td>" +
      "</tr>"
      "<tr>";
     "</table>"
    "</qt>";

  return ws;
}


QString RpViewWhatsThis::get()
{
  return buildWhatsThis();
}
